# Update Profile

> Replace the client profile data. Send the full updated profile object, including all fields that should remain on the profile.

Source: /admin/accounts-funding/client--profiles/accounts-service_-profile-update

## `PUT /profiles/{profile.id}`

**Update Profile**

Replace the client profile data. Send the full updated profile object, including all fields that should remain on the profile.

Tags: `Client Profiles`

#### Path parameters

- `profile.id` (string) (required)


### Request body

profile

The client profile

**Content-Type:** `application/json`

The client profile
- `email` (string)
- `firstName` (string)
- `lastName` (string)
- `ipAddress` (string)
- `language` (string)
- `address` (string)
- `zipCode` (string)
- `city` (string)
- `state` (string)
- `country` (string)
- `phone` (string)
- `company` (string)
- `metaData` (string)
- `birthDate` (string)
- `timezone` (string)
- `password` (string)


### Responses

#### `200` — A successful response.

**Content-Type:** `application/json`

The client profile
- `id` (string)
- `email` (string)
- `firstName` (string)
- `lastName` (string)
- `ipAddress` (string)
- `language` (string)
- `address` (string)
- `zipCode` (string)
- `city` (string)
- `state` (string)
- `country` (string)
- `phone` (string)
- `company` (string)
- `metaData` (string)
- `birthDate` (string)
- `timezone` (string)
- `password` (string)

#### `default` — An unexpected error response.

**Content-Type:** `application/json`

- `code` (integer)
- `message` (string)
- `details` (array)
  - items:
    - `@type` (string)

